const {load} = require('cheerio');
const fetch = (...args) => import('node-fetch').then(({default: fetch}) => fetch(...args));
const search = require('./search.js');

const getURL = async (query) => {
  const pageUrl = await search(query);
  const response = await fetch(pageUrl);
  const html = await response.text();
  const $ = load(html);
  let audio = $('audio>source');
  let src = audio.attr('src');
  if(!src) {
    src = $('.dbutton').attr('href');
  }
  return encodeURI(src);

}

module.exports = getURL;